/*
 * MokaBots - a package including bots to learn robocoding
 * Copyright (C) 2003  Simone Chiaretta
 * 
 * This file is part of Agenzia Viaggi.  
 *
 * MokaBots is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 
 * For more information about this program please refer to the README file.
 *
 */


package moka;
import robocode.*;
import java.awt.Color;

/**
 * MokaRobot - a robot by Simone Chiaretta <simone@piyosailing.com>
 */
public class MokaRobot extends Robot
{
	/**
	 * run: MokaRobot's default behavior
	 */
	public void run() {
		setColors(Color.red,Color.blue,Color.green);
		turnRadarRight(360);
		while(true) {
			turnRight(90);
			ahead(200);
			turnLeft(360);
			ahead(300);
			turnLeft(180);
			ahead(200);
		}
	}

	/**
	 * onScannedRobot: What to do when you see another robot
	 */
	public void onScannedRobot(ScannedRobotEvent e) {
		fire(1);
	}

	/**
	 * onHitByBullet: What to do when you're hit by a bullet
	 */
	public void onHitWall(HitWallEvent e) {
		turnLeft(110 - getHeading());
		ahead(100);
	}
	
}
